Go to the latest version of this document.

# ``twisted`.`conch`.`unix`.`UnixSFTPFile``

class documentation

`class UnixSFTPFile: (source)`

Constructor: `UnixSFTPFile(server, filename, flags, attrs)`

Implements interfaces: `twisted.conch.interfaces.ISFTPFile`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `close` | Close the file.
Method | `getAttrs` | Return the attributes for the file.
Method | `readChunk` | Read from the file.
Method | `setAttrs` | Set the attributes for the file.
Method | `writeChunk` | Write to the file.
Instance Variable | `fd` | Undocumented
Instance Variable | `server` | Undocumented

def __init__(self, server, filename, flags, attrs): (source)

Undocumented

def close(self): (source)
from `twisted.conch.interfaces.ISFTPFile`

Close the file.

This method returns nothing if the close succeeds immediately, or a Deferred that is called back when the close succeeds.

def getAttrs(self): (source)
from `twisted.conch.interfaces.ISFTPFile`

Return the attributes for the file.

This method returns a dictionary in the same format as the attrs argument to `openFile` or a `Deferred` that is called back with same.

def readChunk(self, offset, length): (source)
from `twisted.conch.interfaces.ISFTPFile`

Read from the file.

If EOF is reached before any data is read, raise EOFError.

This method returns the data as a string, or a Deferred that is called back with same.

Parameters
offset | an integer that is the index to start from in the file.
length | the maximum length of data to return. The actual amount returned may less than this. For normal disk files, however, this should read the requested number (up to the end of the file).

def setAttrs(self, attrs): (source)
from `twisted.conch.interfaces.ISFTPFile`

Set the attributes for the file.

This method returns when the attributes are set or a Deferred that is called back when they are.

Parameters
attrs | a dictionary in the same format as the attrs argument to `openFile`.

def writeChunk(self, offset, data): (source)
from `twisted.conch.interfaces.ISFTPFile`

Write to the file.

This method returns when the write completes, or a Deferred that is called when it completes.

Parameters
offset | an integer that is the index to start from in the file.
data | a string that is the data to write.

fd = (source)

Undocumented

server = (source)

Undocumented